Last Comment Bug 1213348 - Turn on system add-on update checks
: Turn on system add-on update checks
Status: RESOLVED FIXED
:
Product: Toolkit
Classification: Components
Component: Add-ons Manager (show other bugs)
: Trunk
: Unspecified Unspecified
-- normal (vote)
: mozilla44
Assigned To: Dave Townsend [:mossop]
:
: Andy McKay [:andym]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 10:12 PDT by Dave Townsend [:mossop]
Modified: 2015-11-15 05:07 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
patch (1.22 KB, patch)
2015-10-09 10:12 PDT, Dave Townsend [:mossop]
nthomas: review+
Details | Diff | Splinter Review

Description User image Dave Townsend [:mossop] 2015-10-09 10:12:28 PDT
Created attachment 8671991 [details] [diff] [review]
patch

Start pinging AUS5 for system add-on updates. This generates URLs like:

https://aus5.mozilla.org/update/3/SystemAddons/44.0a1/20151009030230/Darwin_x86_64-gcc3-u-i386-x86_64/en-US/nightly/Darwin%2015.0.0/default/default/update.xml

Which returns an empty updates XML until we set up any rules which is what we want, it means Firefox will just retain whatever system add-ons shipped with the binary.
Comment 1 User image Nick Thomas [:nthomas] 2015-10-14 20:55:14 PDT
Comment on attachment 8671991 [details] [diff] [review]
patch

r+, although not a peer for Firefox. Third-party folks should disable app update to avoid system addon updates completely, or modify this pref in their builds ?
Comment 2 User image Dave Townsend [:mossop] 2015-10-16 08:49:54 PDT
(In reply to Nick Thomas [:nthomas] from comment #1)
> Comment on attachment 8671991 [details] [diff] [review]
> patch
> 
> r+, although not a peer for Firefox. Third-party folks should disable app
> update to avoid system addon updates completely, or modify this pref in
> their builds ?

Yes, clearing this pref or turning off app updates will turn it off.
Comment 4 User image Phil Ringnalda (:philor) 2015-10-17 11:22:56 PDT
https://hg.mozilla.org/mozilla-central/rev/b803a0b1008e

Note You need to log in before you can comment on or make changes to this bug.